godo.Databases.GetAdvancedMySQLConfig()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Databases.GetAdvancedMySQLConfig(ctx context.Context, databaseID string) (*godo.AdvancedMySQLConfig, *godo.Response, error)Description
GetAdvancedMySQLConfig retrieves the config for an advanced_mysql database cluster.
This method sends a GET request to /v2/databases/{}/config.
Parameters
databaseIDstring required
Returns
- *godo.AdvancedMySQLConfig
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.AdvancedMySQLConfig
AdvancedMySQLConfig holds advanced configurations for advanced_mysql database clusters.
MySQLParameters[]godo.AdvancedMySQLParameter
Request Sample
Response Example
More Information
See GET /v2/databases/{}/config in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.